# H225_H221NonStandard Class Reference

`#include <h225.h>`

Inheritance diagram for H225_H221NonStandard:

List of all members.

## Public Member Functions

| H225_H221NonStandard (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_t35CountryCode
PASN_Integer | m_t35Extension
PASN_Integer | m_manufacturerCode

## Constructor & Destructor Documentation

H225_H221NonStandard::H225_H221NonStandard | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_H221NonStandard::GetDataLength | ( |  | ) | const

PBoolean H225_H221NonStandard::Decode | ( | PASN_Stream & | strm | ) |

void H225_H221NonStandard::Encode | ( | PASN_Stream & | strm | ) | const

void H225_H221NonStandard::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_H221NonStandard::Compare | ( | const PObject & | obj | ) | const

PObject* H225_H221NonStandard::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H225_H221NonStandard::m_t35CountryCode

PASN_Integer H225_H221NonStandard::m_t35Extension

PASN_Integer H225_H221NonStandard::m_manufacturerCode

The documentation for this class was generated from the following file:

- h225.h